******************************************************************************;
*05/11/2013     Debt burden
******************************************************************************;

******************** DODSTOTAL with new DL2000 and updated income;
***RMK: we have saved the new debt payments dl2000 into the dataset;

gen dodstotalp_0 = dl2000/(di2000/12) if dl2000>0 & di2000>0 
replace dodstotalp_0 = dl2000/(1) if dl2000>0 & di2000<=0
replace dodstotalp_0 =0 if dl2000==0
replace dodstotalp = dodstotalp_0 if dodstotalp~=.

gen dodsmortg_0 = dl2100/(di2000/12) if dl2100>=0 &di2000>0
replace dodsmortg_0 = dl2100/(1) if dl2100>0 & di2000<=0
replace dodsmortg_0 = 0 if dl1100>0 & dl2100==0
replace dodsmortg = dodsmortg_0 if dodsmortg~=.

gen dodaratio_0 = dl1000/da3001 if dl1000>0 & da3001>0
replace dodaratio_0 = dl1000/1 if dl1000>0 & da3001<=0
replace dodaratio = dodaratio_0 if dodaratio~=.

gen dodiratio_0 = dl1000/di2000 if dl1000>0 & di2000>0
replace dodiratio_0 = dl1000/(1) if dl1000>0 & di2000<=0
replace dodiratio = dodiratio_0 if dodiratio~=.

*dnnla = net liquid assets;
gen dnnlaratio_0 = dnnla/di2000
replace dnnlaratio_0 = dnnla/(1) if di2000<=0
replace dnnlaratio=dnnlaratio_0 if dnnlaratio~=.

*doltvratio = loan to value ratio of main residence;
gen doltvratio_0 = dl1110/da1110 if dl1110>0 & da1110 >0
replace doltvratio_0 = dl1110/1 if dl1110>0 & da1110<=0
replace doltvratio = doltvratio_0 if doltvratio~=.

drop dodstotalp_0 dodsmortg_0 dodaratio_0 dodiratio_0 dnnlaratio_0 doltvratio_0
