collapse (mean) fam*, by(children ctryid)

* Generate one variable for married families
gen famstat_m_67 = (famstat_1_67 + famstat_2_67)/2
drop famstat_1_67  famstat_2_67

gen famstat_m_100 = (famstat_1_100 + famstat_2_100)/2
drop famstat_1_100  famstat_2_100

gen famstat_m_150 = (famstat_1_150 + famstat_2_150)/2
drop famstat_1_150 famstat_2_150

compress


* Rename some variables
replace children=1 if children==2

egen temp = concat(ctryid children)
encode temp, gen(newid)
drop temp

reshape long famstat_m_ famstat_s_, i(newid) j(inc)
sort ctryid children
rename famstat_s_ famstat_1 
rename famstat_m_ famstat_0

egen temp = concat(newid inc)
encode temp, gen(newid2)
reshape long famstat_, i(newid2) j(single)
rename famstat_ replrate
drop newid2 newid temp
compress

aorder
sort ctryid children single inc
