* --------------------------------------
* Generate country groups

* ad hoc 1
gen ctrygrp_1=" "
replace ctrygrp_1 = "Cont" if (sa0100=="AT" | sa0100=="BE" | sa0100=="LU" | sa0100=="SK" | sa0100=="FI" | sa0100=="NL")
replace ctrygrp_1 = "DE" if (sa0100=="DE")
replace ctrygrp_1 = "FR" if (sa0100=="FR")
replace ctrygrp_1 = "Med" if (sa0100=="CY" | sa0100=="GR" | sa0100=="MT" | sa0100=="PT" | sa0100=="SI")
replace ctrygrp_1 = "IT" if (sa0100=="IT" )
replace ctrygrp_1 = "ES" if (sa0100=="ES")

* ad hoc 1
gen ctrygrp_1a=" "
replace ctrygrp_1a = "Cont" if (sa0100=="AT" | sa0100=="BE" | sa0100=="LU" | sa0100=="SK" | sa0100=="FI" | sa0100=="NL")
replace ctrygrp_1a = "DEFR" if (sa0100=="DE" | sa0100=="FR")
replace ctrygrp_1a = "Med" if (sa0100=="CY" | sa0100=="GR" | sa0100=="MT" | sa0100=="PT" | sa0100=="SI")
replace ctrygrp_1a = "ITES" if (sa0100=="IT" | sa0100=="ES")

* OLD  Classification
gen ctrygrp_2=" "
replace ctrygrp_2="Cont" if (sa0100=="AT" | sa0100=="BE" | sa0100=="DE" | sa0100=="FR" | sa0100=="LU" | sa0100=="NL" |  sa0100=="SK" | sa0100=="FI") 
replace ctrygrp_2="Med" if (sa0100=="CY" | sa0100=="ES" | sa0100=="GR" | sa0100=="IT" | sa0100=="MT" | sa0100=="PT" | sa0100=="SI")


* based on avg. debt
*gen young=(dhageh<35)
*bysort young: tab sa0100, su(debt)
*tabstat debt, by(sa0100) stat(median mean sum)

gen ctrygrp_3 = " "
replace ctrygrp_3="Low" if (sa0100=="SI" | sa0100=="SK" | sa0100=="GR" | sa0100=="MT" | sa0100=="IT" | sa0100=="PT" | sa0100=="AT") 
replace ctrygrp_3="High" if (sa0100=="BE" | sa0100=="FR" | sa0100=="FI" | sa0100=="DE" | sa0100=="ES" | sa0100=="NL" | sa0100=="CY" | sa0100=="LU") 

gen ctrygrp = ctrygrp_1 
drop ctrygrp_*
* --------------------------------------
