
set more off 
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;
do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
global dataPath "`dataPath'";
adopath + "`stataPath'";
capture log close;
cd "`stataPath'";

use "`dataPath'\D_compl.dta";

gen country = sa0100 ;

replace country="Austria" if sa0100=="AT";
replace country="Belgium" if sa0100=="BE";
replace country="Cyprus" if sa0100=="CY";
replace country="Germany" if sa0100=="DE";
replace country="Spain" if sa0100=="ES";
replace country="Finland" if sa0100=="FI";
replace country="France" if sa0100=="FR";
replace country="Greece" if sa0100=="GR";
replace country="Italy" if sa0100=="IT";
replace country="Luxembourg" if sa0100=="LU";
replace country="Malta" if sa0100=="MT";
replace country="Netherlands" if sa0100=="NL";
replace country="Portugal" if sa0100=="PT";
replace country="Slovenia" if sa0100=="SI";
replace country="Slovakia" if sa0100=="SK";
drop if country=="Finland";

graph bar (mean) dl1110ai [pweight = hw0010], over(country, label(angle(45))) bar(1, color(blue*1.2))
ylabel(0 "0%" 0.1 "10%" 0.2 "20%" 0.3 "30%" 0.4 "40%", gextend angle(horizontal)) 
ytitle("")  plotregion(fcolor(none) lcolor(white) lwidth(none) ifcolor(none) ilcolor(none) ilwidth(none)) 
graphregion(fcolor(white) ifcolor(none) lcolor(white) ilcolor(none) ilwidth(none)) bgcolor(white);
graph export "`dataPath'\fProportionOfARM.pdf", replace;
