
set more off 
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;
do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
global dataPath "`dataPath'";
adopath + "`stataPath'";
capture log close;
cd "`stataPath'";

use "`dataPath'\ReplacementRates.dta";

graph bar RepRate, over(country, label(angle(45))) nofill legend(off) bar(1, color(blue*1.2))
 yscale(r(0.4 0.9)) ylabel(0 "0" 20 "20" 40 "40" 60 "60" 80 "80") 
 graphregion(color(white)) ytitle("Percent of Wage");
 
graph export "`dataPath'\fReplacementRates.pdf", replace;
