****************************************;
*06/02/2014;
****************************************;
*cd "D:\akmaral\HFCS\HFCSupdate\MASTER\programs"

set more off
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;

do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
adopath + "`stataPath'";
global dataPath "`dataPath'";
****************************************;
global calculate2013index "0";  * calculate wealth breakdowns based on updated dataset [default: No/0];
global getConsData "0"; * last download: 17/02/2014;
*global getConsData "1"; * downloads the SDW data;
global currentPeriod "2013Q2";
global eolString "_char(92) _char(92)";		* string denoting new line in LaTeX tables \\;

****************************************;
use "`dataPath'\D_compl_2008_unempSimul_1_extended.dta", replace;

keep id job_aftershock hw0010 sa0100 dhiq01_ea dhnq01_ea;
rename job_aftershock job_aftershock_2008;
rename dhiq01_ea dhiq01_ea_2008;
rename dhnq01_ea dhnq01_ea_2008;

sort id;
save "`dataPath'\unempRates_2008.dta", replace;
drop _all;

use "`dataPath'\D_compl_2013_unempSimul_1_extended.dta", replace;

keep id job_aftershock hw0010 sa0100 dhiq01_ea dhnq01_ea;
rename job_aftershock job_aftershock_2013;
rename dhiq01_ea dhiq01_ea_2013;
rename dhnq01_ea dhnq01_ea_2013;

sort id;
save "`dataPath'\unempRates_2013.dta", replace;

merge 1:1 id using "`dataPath'\unempRates_2008.dta";
save "`dataPath'\unempRates_all.dta", replace;

****************************************;
sort dhiq01_ea_2008;
by dhiq01_ea_2008: summarize job_aftershock_2008 [aweight = hw0010];
by dhiq01_ea_2008: summarize job_aftershock_2013 [aweight = hw0010];
sort dhiq01_ea_2013;
by dhiq01_ea_2013: summarize job_aftershock_2013 [aweight = hw0010];
