******************************************************************************;
* 24/01/2014;    INCOME
******************************************************************************;

*----------- recompute income di2000
egen di1500_0 = rowtotal(di1510 di1520)
egen di1600_0 = rowtotal(di1610 di1620)
egen di2000_0 = rowtotal(di1100 di1200 di1300 di1400 di1510 di1520 di1610 di1620 di1700 di1800)

replace di2000 = di2000_0 if di2000~=.
replace di1600 = di1600_0 if di1600~=.
replace di1500 = di1500_0 if di1500~=.

drop di2000_0 di1500_0 di1600_0

*----------- in real amounts , deflator = HICPincDefl_`cntry';
if "$RealIndex" == "1" {
	local allCountries "AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK"
	foreach cntry of local allCountries {
	replace di2000 = di2000/HICPincDefl_`cntry'  if sa0100=="`cntry'"
	}
}
