*****************************************************************
* alternative scenario B of principal repayment
*****************************************************************


local updateYear "$updateYear"
local RealIndex "$RealIndex"



*----------- replace missing by 0 - liabilities - scenario B
local allVariables "dl1000 dl1100 dl1110 dl1120 dl1200" 
foreach var of local allVariables {	

	gen `var'_00 = `var'
	replace  `var'_00 = 0 if `var'==.

}
*----------- liabilities - repayment of principal - scenario B




if "$updateYear" == "2013" {


gen dl1110_b = dl1110_00 - dl2110*3*12
replace dl1110_b = 0 if dl1110_b<0

gen dl1120_b = dl1120_00 - dl2120*3*12
replace dl1120_b = 0 if dl1120_b<0

egen dl1100_b = rowtotal(dl1110_b dl1120_b)
replace dl1100_b=. if dl1100==.

gen dl1200_b = dl1200_00 - dl2200*3*12
replace dl1200_b = 0 if dl1200_b<0

egen dl1000_b = rowtotal(dl1100_b dl1200_b)
replace dl1000_b = 0 if dl1000_b<0
replace dl1000_b=. if dl1000==.
}
else if "$updateYear" == "2008" {
gen dl1110_b = dl1110_00 + dl2110*2*12
replace dl1110_b = 0 if dl1110_b<0

gen dl1120_b = dl1120_00 + dl2120*2*12
replace dl1120_b = 0 if dl1120_b<0

egen dl1100_b = rowtotal(dl1110_b dl1120_b)
replace dl1100_b=. if dl1100==.


gen dl1200_b = dl1200_00 + dl2200*2*12
replace dl1200_b = 0 if dl1200_b<0

egen dl1000_b = rowtotal(dl1100_b dl1200_b)
replace dl1000_b = 0 if dl1000_b<0
replace dl1000_b=. if dl1000==.

}


drop dl1000_00 dl1100_00 dl1110_00 dl1120_00 dl1200_00
